TIBCO Spotfire for Apple iOS System Requirements - v2.9.2

To view the System requirements for a different version, please select it in the list below:




System requirement changes from the previous version (2.9.1)

TIBCO Spotfire for Apple iOS
Category Requirement
Device Increased minimum supported version
  • Any Apple iPad or iPhone device that can run iOS 10.0 or higher
Operating System Increased minimum supported version
  • iOS 10.0 or higher
Authentication Method Removed
  • OpenID Connect

TIBCO Spotfire Deployment Kit for Apple iOS
Category Requirement
Device (Optional) Increased minimum supported version
  • Any Apple iPad or iPhone device that can run iOS 10.0 or higher is supported for testing (optionally you can use the iOS Simulator that comes with Xcode for initial testing)
Operating System (Device) Increased minimum supported version
  • iOS 10.0 or higher
Xcode Increased minimum supported version
  • Xcode 9.0 or higher

Planned system requirement changes for the next version

Listed below are the currently known planned system requirement changes for the next version. This information is provided for informational purposes only and is subject to change without notice.

  • There are no currently known system requirements changes

System requirements for version 2.9.2

TIBCO Spotfire for Apple iOS
TIBCO Spotfire Deployment Kit for Apple iOS


TIBCO Spotfire for Apple iOS
Category Requirement
Hardware
Device Any Apple iPad or iPhone device that can run iOS 10.0 or higher.
Software
Operating System iOS 10.0 or higher
TIBCO Spotfire Software Connection (*) to a TIBCO Spotfire Web Player Service/Server, version 7.0.x or higher

NOTE *: There are no known restrictions on the type of connection (such as VPN) that is used. If the mobile device can connect to the Web Player server from the Safari browser (over HTTP/S), the TIBCO Spotfire for Apple iOS app also should be able to connect. Since the app connects using some dedicated web services, any security appliances or reverse proxies in between must be configured properly to allow those requests and responses through.
Authentication Method The authentication for the Spotfire environment needs to be configured in one of the following ways:

Spotfire 7.5 and higher:
TIBCO Spotfire Server
Basic Database *
Basic LDAP *
Kerberos **
NTLM
SiteMinder

Spotfire 7.0 and lower:
TIBCO Spotfire Server TIBCO Spotfire Web Player
Basic (Spotfire Database, LDAP) *
Basic/Forms
Basic (Spotfire Database, LDAP) *
Anonymous
NTLMv2 Windows Integrated Authentication
Kerberos **
Windows Integrated Authentication

NOTE: * Also works with HTTPS enabled on the TIBCO Spotfire Server with basic authentication.
NOTE: ** From iOS 10, Apple has dropped support for the RC4 cipher suites.

TIBCO Spotfire Deployment Kit for Apple iOS
Category Requirement
Hardware
Computer Intel-based Apple computer that can run macOS 10.12 or higher.
Device (Optional) Any Apple iPad or iPhone device that can run iOS 10.0 or higher is supported for testing (optionally you can use the iOS Simulator that comes with Xcode for initial testing)
Software
Operating System (Computer) macOS 10.12 or higher
Operating System (Device) iOS 10.0 or higher
Xcode Xcode 9.0 or higher

NOTE: available for free on the Apple® App Store.
Apple Developer Account An Apple Developer account, with a developer certificate* or an enterprise developer certificate*, which is required to install and test on an iPad or iPhone device.

NOTE: * This certificate is not required for testing the app in the iOS Simulator.
Graphics Editor In order to edit image files and icons, a graphics editor that supports PNG files, such as Adobe Photoshop®, is needed.